From: Lars Bahner <bahner@debian.org>
Subject: Debian conformance patch for the Debian pyca-package
 This patch consists mainly of FHS (2.2) stuff

diff -Naur pyca-20031118/bin/ca2ldif.py pyca-20031118.New/bin/ca2ldif.py
--- pyca-20031118/bin/ca2ldif.py	2002-02-20 17:41:22.000000000 +0000
+++ pyca-20031118.New/bin/ca2ldif.py	2008-08-24 18:43:18.000000000 +0000
@@ -110,7 +110,7 @@
 create_crls = findoption(options,'--crl')!=()
 
 pyca_section = opensslcnf.data.get('pyca',{})
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   sys.stderr.write('Did not find OpenSSL executable %s.\n' % (openssl.bin_filename))
   sys.exit(1)
diff -Naur pyca-20031118/bin/certs2ldap.py pyca-20031118.New/bin/certs2ldap.py
--- pyca-20031118/bin/certs2ldap.py	2002-05-31 20:08:02.000000000 +0000
+++ pyca-20031118.New/bin/certs2ldap.py	2008-08-24 18:43:18.000000000 +0000
@@ -178,7 +178,7 @@
 delete_reason = {openssl.db.DB_TYPE_EXP:'expired',openssl.db.DB_TYPE_REV:'revoked'}
 
 pyca_section = opensslcnf.data.get('pyca',{})
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   sys.stderr.write('Did not find OpenSSL executable %s.\n' % (openssl.bin_filename))
   sys.exit(1)
diff -Naur pyca-20031118/bin/copy-cacerts.py pyca-20031118.New/bin/copy-cacerts.py
--- pyca-20031118/bin/copy-cacerts.py	2001-05-18 10:17:17.000000000 +0000
+++ pyca-20031118.New/bin/copy-cacerts.py	2008-08-24 18:43:18.000000000 +0000
@@ -112,7 +112,7 @@
   opensslcnf=openssl.cnf.OpenSSLConfigClass(opensslcnfname)
 
 pyca_section = opensslcnf.data.get('pyca',{})
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 
 if findoption(options,'--certfile')!=():
   certfilename = findoption(options,'--certfile')[1]
diff -Naur pyca-20031118/bin/ns-jsconfig.py pyca-20031118.New/bin/ns-jsconfig.py
--- pyca-20031118/bin/ns-jsconfig.py	2001-05-18 10:17:17.000000000 +0000
+++ pyca-20031118.New/bin/ns-jsconfig.py	2008-08-24 18:43:18.000000000 +0000
@@ -108,7 +108,7 @@
   opensslcnf=openssl.cnf.OpenSSLConfigClass(opensslcnfname)
 
 pyca_section = opensslcnf.data.get('pyca',{})
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 
 if findoption(options,'--nssecconf')!=():
   nssecconf = open(findoption(options,'--nssecconf')[1],'w')
diff -Naur pyca-20031118/bin/print-cacerts.py pyca-20031118.New/bin/print-cacerts.py
--- pyca-20031118/bin/print-cacerts.py	2001-07-05 18:16:59.000000000 +0000
+++ pyca-20031118.New/bin/print-cacerts.py	2008-08-24 18:43:18.000000000 +0000
@@ -102,7 +102,7 @@
 
 pyca_section = opensslcnf.data.get('pyca',{})
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   PrintUsage('Did not find OpenSSL executable %s.' % (openssl.bin_filename))
 
diff -Naur pyca-20031118/htdocs/config.html pyca-20031118.New/htdocs/config.html
--- pyca-20031118/htdocs/config.html	2001-08-23 18:30:24.000000000 +0000
+++ pyca-20031118.New/htdocs/config.html	2008-08-24 18:43:18.000000000 +0000
@@ -108,7 +108,7 @@
     <a name="OpenSSLExec">OpenSSLExec</a>
   </dt>
   <dd>
-    Full pathname of the openssl executable (default /usr/local/ssl/bin/openssl).
+    Full pathname of the openssl executable (default /usr/bin/openssl).
   </dd>
   <dt>
     <a name="CaFixExec">CaFixExec</a>
diff -Naur pyca-20031118/sbin/ca-certreq-mail.py pyca-20031118.New/sbin/ca-certreq-mail.py
--- pyca-20031118/sbin/ca-certreq-mail.py	2003-10-21 06:49:48.000000000 +0000
+++ pyca-20031118.New/sbin/ca-certreq-mail.py	2008-08-24 18:43:18.000000000 +0000
@@ -100,7 +100,7 @@
 logfile_name = pyca_section.get('caCertConfirmReqLog','/var/log/pyca/ca-certreq-mail.out')
 logfile = open(logfile_name,'a')
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   LogWrite(logfile,'Error',None,'Did not find OpenSSL executable %s.' % (openssl.bin_filename))
 
diff -Naur pyca-20031118/sbin/ca-cycle-priv.py pyca-20031118.New/sbin/ca-cycle-priv.py
--- pyca-20031118/sbin/ca-cycle-priv.py	2001-06-09 18:52:53.000000000 +0000
+++ pyca-20031118.New/sbin/ca-cycle-priv.py	2008-08-24 18:43:18.000000000 +0000
@@ -115,7 +115,7 @@
 
 pyca_section = opensslcnf.data.get('pyca',{})
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   PrintUsage('Did not find OpenSSL executable %s.' % (openssl.bin_filename))
 
diff -Naur pyca-20031118/sbin/ca-cycle-pub.py pyca-20031118.New/sbin/ca-cycle-pub.py
--- pyca-20031118/sbin/ca-cycle-pub.py	2001-06-09 14:50:09.000000000 +0000
+++ pyca-20031118.New/sbin/ca-cycle-pub.py	2008-08-24 18:43:18.000000000 +0000
@@ -111,7 +111,7 @@
 
 pyca_section = opensslcnf.data.get('pyca',{})
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   PrintUsage('Did not find OpenSSL executable %s.' % (openssl.bin_filename))
 
diff -Naur pyca-20031118/sbin/ca-make.py pyca-20031118.New/sbin/ca-make.py
--- pyca-20031118/sbin/ca-make.py	2002-05-31 20:44:56.000000000 +0000
+++ pyca-20031118.New/sbin/ca-make.py	2008-08-24 18:43:18.000000000 +0000
@@ -148,7 +148,7 @@
 
 pyca_section = opensslcnf.data.get('pyca',{})
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   PrintUsage('Did not find OpenSSL executable %s.' % (openssl.bin_filename))
 
diff -Naur pyca-20031118/sbin/ca-revoke.py pyca-20031118.New/sbin/ca-revoke.py
--- pyca-20031118/sbin/ca-revoke.py	2001-05-18 10:17:21.000000000 +0000
+++ pyca-20031118.New/sbin/ca-revoke.py	2008-08-24 18:43:18.000000000 +0000
@@ -114,7 +114,7 @@
 pyca_section = opensslcnf.data.get('pyca',{})
 ca_names = opensslcnf.sectionkeys.get('ca',[])
 
-openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/local/ssl/bin/openssl')
+openssl.bin_filename = pyca_section.get('OpenSSLExec','/usr/bin/openssl')
 if not os.path.isfile(openssl.bin_filename):
   sys.stderr.write('Did not find OpenSSL executable %s.\n' % (openssl.bin_filename))
   sys.exit(1)
